Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class AbstractInjectableGrailsClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass

All Implemented Interfaces:
  InjectableGrailsClass

    public abstract class AbstractInjectableGrailsClass
    extends AbstractGrailsClass

Configures Grails classe to be autowirable by name, always.

Authors:
  Graeme Rocher
  Steven Devijver

Since:
  0.1

Constructor Summary
`AbstractInjectableGrailsClass(java.lang.Class clazz, java.lang.String trailingName)`

Method Summary
`boolean` | `byName()`
`boolean` | `byType()`
`boolean` | `getAvailable()`

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Constructor Detail

### AbstractInjectableGrailsClass

    public AbstractInjectableGrailsClass(java.lang.Class clazz, java.lang.String trailingName)

Method Detail

### byName

    public boolean byName()

### byType

    public boolean byType()

### getAvailable

    public boolean getAvailable()

Groovy Documentation